<div class="modal-container">
    <div class="modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <!-- dialog header -->
          <div class="modal-header">
            <h5>Transactions</h5>
          </div>
          <!-- dialog body -->
          <div class="modal-body">
            <table class="table table-bordered">
                <thead>
                    <th>Account Name</th>
                    <th>Payee name</th>
                    <th>Category</th>
                    <th>Date</th>
                    <th>Amount</th>
                </thead>
                <tbody>
                    <tr *ngFor="let td of transactionList">
                        <td>{{td.account_name}}</td>
                        <td>{{td.payee_name}}</td>
                        <td>{{td.category_name}}</td>
                        <td>{{td.date}}</td>
                        <td>{{td.amount}}</td>
                    </tr>
                </tbody>
            </table>
          </div>
          <!-- dialog body -->
          <div class="modal-footer">
            <button class="btn btn-primary btn-sm" (click)="closePopup()">Close</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  

